
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>性能测试应该怎样测？ / iVAN</title>

    <meta name="description" content="性能测试应该怎样测？ 事情的起因是这样的: 上周三下午要出去打个电话,经过小会议室门口的时候测试负责人叫住我问有事吗?小A做的性能测试出现了点问,要我帮忙分析一下.打完电话后到小会议室与小A.测试负责人一起看小A的性能测试出现了什么问题.小A说她对X项目进行了性能测试,但是结果与现在线上的差距特别大,线上入库是10条/秒,而她测试的结果是3-4条/秒,对于她测试得出来的结果项目的负责人很不认同,认为是她做错了,而她又找不出来问题出在哪,她很郁闷. 接下来是我们的一段对话 我:小A,你说一下这次性能测试,是对哪几个点做">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">性能测试应该怎样测？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>事情的起因是这样的：</p>
<p>　　上周三下午要出去打个电话，经过小会议室门口的时候<a href="http://www.51testing.com/html/21/n-821921.html" rel="external nofollow noreferrer"><u><strong>测试</strong></u></a>负责人叫住我问有事吗？小A做的<a href="http://www.51testing.com/html/21/n-821921.html" rel="external nofollow noreferrer"><u><strong>性能测试</strong></u></a>出现了点问，要我帮忙分析一下。打完电话后到小会议室与小A、测试负责人一起看小A的性能测试出现了什么问题。小A说她对X项目进行了性能测试，但是结果与现在线上的差距特别大，线上入库是10条/秒，而她测试的结果是3-4条/秒，对于她测试得出来的结果项目的负责人很不认同，认为是她做错了，而她又找不出来问题出在哪，她很郁闷。</p>
<p>　　接下来是我们的一段对话</p>
<p>　　我：小A，你说一下这次性能测试，是对哪几个点做的，场景都是啥样的？</p>
<p>　　小A：主要是两个点，一个是单一场景针对短信入库的，场景设计的是30、50、100条数据并发持续2个小时，是根据线上前段时间出现的问题发3万条短信，结果处理的时间特别长这个问题设计的；另外一个是将接收到的不同类型的短信入库，是个混合场景，场景是短信2条、彩信1条、WAPPUSH1条、EMN1条，这些数据并发，持续2个小时。</p>
<p>　　我：问一下，线上对于短信发送真实操作场景是什么样子的呢？</p>
<p>　　小A：这个我不知道啊，反正我只知道现在线上要求1个小时内必须把这些短信发完，线上现在预计的入库量是10条/秒。</p>
<p>　　我：好吧，换个问法，X系统小A你最熟了，线上的这个问题，有大量的数据过来，X系统 对这些数据是怎样处理然后入库的呢，是一批一批的处理，还是一条一条的处理呢，如果是一批一批的处理，对于这一批数据是怎样处理的呢，是同时处理掉，还是一条一条的数据。</p>
<p>　　小A：这个我不清楚，要不一会儿我去问一下开发的吧。</p>
<p>　　我：我再问一下，现在搭建的这套测试环境，各个机器的配置是怎么样的？和线网的机器配置差距有多大？线网的带宽是多少？现在测试环境的带宽是多少？线网是有负载均衡的，有VPN通道的，测试环境上有这些吗？</p>
<p>　　小A：tomcat的机器是一台服务器，4核的，另外两台<a href="http://www.51testing.com/html/21/n-821921.html" rel="external nofollow noreferrer"><u><strong>数据库</strong></u></a>还有LR加压机都是实体机。线网的机器配置我不知道，测试环境也是100兆带宽，负载均衡啥的测试环境都做不了。</p>
<p>　　我：线网带宽是千兆的，测试环境的百兆带宽不全是给你来测试用的，公司上班时间所有同事办公还占用一部分带宽呢。线网的数据库做过一次优化的，有几个参数是调整过的。</p>
<p>　　我觉得这次问题的分析可以从几个方面来入手查，第一，场景设计，我从开发的那里了解到线上真实的情况是没有并发的，只是一条一条的来处理，处理的数据量是3万条，1个小时处理完，是我们自己的要求。所以场景可以重新设计，设计成没有并发，处理3万条数据；第二，测试脚本的性能，测试脚本里的代码可能本身响应时间就长；第三，机器配置、网络带宽，查看现在测试机的配置与线网比相差多少，这些能不能想办法进行一下换算，结果可能有误差，如果找到依据，看看误差能控制在多少范围内。</p>
<p>　　小A：我觉得脚本代码不是问题，我就是这样写的都能执行过去，能执行过去为啥就会有问题呢。线上真实的操作那在那台服务器上还可能有别的省发短信呢，对那台服务器还有影响呢，那台服务器的配置好可能还有别的省来占用呢，所以机器配置也不应该是问题。带宽我觉得也不是问题，公司百兆的带宽也够用了呀，我在测试的时候也没发现网络上哪里出现了问题，CPU占用率呀都非常少的。</p>
<p>　　我：......无语</p>
<p>　　对于性能测试，到底应该怎样做，会用了工具（最著名的是LR）就会了性能测试了吗？NO，NO，NO</p>
<p>　　我认为：</p>
<p>　　前期分析：</p>
<p>　　分析业务：分析用户群，业务真实使用和操作情况。比如在哪个时间段哪个操作会多，哪个操作会少，怎样来操作，是会有很多人一起对系统发起请求呢（所谓的并发），还是数据量很大，但是都是一个请求一个请求过来的，很持续很长时间吗（比如8个小时都在做这样的操作），还是主要是对一定的数据量操作的（比如处理完几十万条数据后任务就完成了），每次只有一个场景吗，还是是个混合场景都有，如果是混合场景，那么各个场景的比例大约是多少呢。线上已经有多少数据量了？预期要达到多少数据量？</p>
<p>　　分析环境：线上系统环境是什么样子的？有负载均衡吗？有多次转发吗？......机器配置是什么样子的，每台机器上都有哪些服务？线网的带宽是多少？是专用的吗？搭建的测试环境和线网真实的环境有多大的差距，带宽是多少，是专用的吗？测试环境不可能与线网环境是一模一样的，有办法换算吗？误差大约是多少？</p>
<p>　　分析团队成员：给你配备的配合的开发人员了吗？与你配合的开发人员靠谱吗？你的团队里有性能测试的高手吗？团队对这个项目的性能测试支持吗？</p>
<p>　　时间分析：测试的时间充足吗？哪些是必须测的，哪些是可以不测的。</p>
<p>　　测试执行：</p>
<p>　　有了前面的详细的分析之后，才能整理出测试需求、设计测试方案、编写<a href="http://www.51testing.com/html/21/n-821921.html" rel="external nofollow noreferrer"><u><strong>测试用例</strong></u></a>、编写测试脚本、设计出合理的测试场景，才能执行测试。</p>
<p>　　结果分析：</p>
<p>　　测试出了结果，不能就算完事了，把结果丢给别人让别人分析查找原因，那不是高手，真正的高手是可以分析出问题在哪里，是什么原因产生的，怎样优化。简单的几个切入点可能从服务器系统CPU、内存等等，数据库中<a href="http://www.51testing.com/html/21/n-821921.html" rel="external nofollow noreferrer"><u><strong>SQL</strong></u></a>执行速度，数据库CPU、内存等入手。查看事务平均响应时间是否在可控范围内，每秒处理的事务数怎样等等。借用一些工具查看操作数据库的SQL执行情况等等。</p>
<p>　　总结一下，性能测试个人认为最重要的不是使用工具，而是测试前的分析和结果的分析，前面的分析够透彻才能保证后面做的是对的，而不是一上来就是用工具，就大并发，只有大量的并发才是性能测试，一定得根据现实的真实使用情况来做才可以，违背了现实做再多也是无用。每次一听到有开发的对我讲你帮我们做一下性能测试吧，弄个几万的压一下，我就特无语。</p>
<p>====================================分割线================================</p>
<p>最新内容请见作者的GitHub页：http://qaseven.github.io/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-10 11:21:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e8%b4%9f%e8%bd%bd%e5%9d%87%e8%a1%a1/" title="负载均衡">负载均衡</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e5%b8%a6%e5%ae%bd/" title="带宽">带宽</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd%e6%b5%8b%e8%af%95/" title="性能测试">性能测试</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>性能测试应该怎样测？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQLN8p.html" rel="bookmark">浅谈应用性能测试 PTS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阅读原文 我们为什么要进行性能测试? 1. 评估系统的能力. 当应用上线有大量用户当问的时候,页面的打开速度直接影响用户体验,进而影响用户的留存.了解用户的真实使用体验,对应用做出针对性的性能评估,有效提升用户体验. 2. 验证系统的稳定性和可靠性. 在整个的网站应用架构体系中,会有一些接口基础服务,它的职责是对外输出一些稳定的查询,一些服务能力,这个时候系统需要有较高的稳定性,比如访问量很多,数据量很大,这个时候就需要关注性能.另外对于一些核心系统,可用性很高,对于性能系统也是非常关键的. 3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9EVdoM.html" rel="bookmark">性能测试 PTS 铂金版来袭！阿里云发布T级数据压测的终极秘笈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				无限接近真实流量的全链路压测,具备超高并发能力,多维动态支持压测场景下的多变环境,1分钟即可设置简单压测场景--这个神奇的压测&quot;黑科技&quot;就是PTS铂金版! 有别于PTS企业版,PTS铂金版具有完全不同的出身,说起它,不得不从阿里巴巴每年的全球剁手党狂欢-双11说起.因为和其他APM服务商不同,阿里云的压测解决方案-性能测试服务 PTS 脱胎于阿里巴巴内部平台,而这个内部平台堪称双11保障的核武器.在经过超高峰值.超高复杂度的千锤百炼后,PTS铂金版正式对外输出,让广大企业级用户能用最低			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwWmZnz.html" rel="bookmark">求牛人指点怎么用jmeter做接口性能测试，重点是测并发量和接口反映速度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求牛人指点怎么用jmeter做接口性能测试,重点是测并发量和接口反映速度 求牛人指点怎么用jmeter做接口性能测试,最近公司要把从界面.移动端的访问数据库的数据做成接口,需要做这些接口的性能测试.且提及用jmeter做,重点是测并发量和接口反映速度.小弟我都没用过jmeter,就百度了一下.能打开jmeter.bat,然后就是线程组.http请求.结果树.聚合报告.其他都不知道了.编程的话,C有基础.JAVA就只知道纯语法. 现在求牛人指点怎么用jmeter做接口性能测试. 解决方案			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKAJ2z.html" rel="bookmark">求问怎么测一个系统服务器的性能测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 比如说一个产品系统,希望它的服务器最大连接客户端数量约300万,我该怎么为服务器写一个测试程序测最大客户在线数呢?因为每台客户端电脑一个IP只有6万多端口,用tcp连接一个ip只能开6万个测试线程.我知道一个电脑可以设多个ip,但不知道怎么分开使用,比如说设50个ip,就可以用50*6万=300万个端口了.就是最大连接数300万,求大神解惑 解决方案 解决方案二:不知道那些压力测试软件可以不?解决方案三:压力测试一般只能测几万...而且我主要想自己写代码测出来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRyWkb.html" rel="bookmark">性能测试知多少---系统架构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有些事儿一旦放一放就难再拾起来,突然发现&lt;性能测试知多少&gt;这个系列两月没更新,关键时我都不知道啥时候放下的,总容易被各种技术所吸引走,如饥似渴的想学更多的东西,这几天一直有朋友问我为啥不写了,我才意识,事情要一样一样做,我现在要把这个系列完成.   之前有对性能需求进行过分析,那篇主要从项目业务.背景等角度如何抽丝剥茧的将项目的需求抽离出来.在我们进行需求的时候也需要对被测项目的架构有一定的认识,如果不了解被测系统的架构,那么在后期的性能分析与调优阶段将无从下手.   简单系统架构介绍    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZByOz.html" rel="bookmark">性能测试知多少---性能需求分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需求分析是个繁杂过程,它并非我们想象的那么简单,而性能测试需求除了要对系统的业务非常了解,还需要有深厚性能测试知识.才能够挖掘分析出真正的性能需求.   如何获得有效的需求   1.客户方提出 客户方能提出明确的性能需求,说明对方很重视性能测试,这样的企业一般是金融.电信.银行.医疗器械等:他们一般对系统的性能要求非常高,对性能也非常了解.提出需求也比较明确. 曾经有一个银行项目,已经到最后的性能测试极端,因为数据库设计不合理,导致性能出现很大的问题,最终不得不把整合项目 作废,对于这样的项目,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK4qEM.html" rel="bookmark">JMeter基础：简单的性能测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一节中,我们了解了jmeter的一此主要元件,那么这些元件如何使用到性能测试中呢.这一节创建一个简单的测试计划来使用这些元件.该计划对应的测试需求. 1)测试目标网站是fnng.cnblogs.com  和 tt-topia.rhcloud.com 2)测试目的是该网站在负载达到20 QPS 时的响应时间. QPS 解释 QPS : Query Per Second 每秒查询率.是一台查询服务器每秒能够处理的查询次数.在因特网上,作为域名系统服务器的机器的性能经常用每秒查询率来衡量. 为了达成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlKjkb.html" rel="bookmark">高效的 web 性能测试工具OpenSTA使用详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 随着 Web 应用技术的发展和 Web 应用程序的迅速普及,Web 系统的性能和服务质量显得越来 越重要.性能测试在软件的质量保证中起着越来越重要的作用.性能测试是通过自动化的测试工具模拟多种正 常.峰值以及异常负载条件来对系统的各项性能指标进行测试.性能测试是一种信息的收集和分析的过程,测 试过程中通过收集的数据用来预测怎样的负载水平将耗尽系统资源.性能测试保证程序具有良好的性能,它考 察在不同的用户负载下,Web 对用户请求做出的相应情况,以确保将来系统运行的安全性.可靠性和执行效率			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3N987z.html" rel="bookmark">ORACLE的性能测试经验总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前段时间,在阿里妈妈新机房压力测试过程中用到了LR测试ORACLE,跟DBA(杨军哥)一起在杭州网通新机房进行1000用户的压力模拟测试.整个压力测试耗时两天.以下是一些经验: 1)压力测试过程中发现一些SQL脚本执行非常慢,进行了优化. 2)最好并发测试,否则服务基本上没有什么压力. 3)先从100用户开始,再慢慢向上加,直到CPU的承载达到90%以上.查看系统的性能情况,包括TPS,响应时间,和内存等. 还包括oracle服务器的I/O流量和交易数. 这个方案是参考了淘宝的机房性能测试方案,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLnkRb.html" rel="bookmark" class="title">MySQL不安全临时文件建立漏洞</a>
					<div>
						mysql|安全 受影响系统:MySQL AB MySQL 4.1.0-alphaMySQL AB MySQL 4.1.0MySQL AB MySQL 4.0.9MySQL AB MySQL 4.0. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7QO5M.html" rel="bookmark" class="title">千兆网综合布线系统设计与测试</a>
					<div>
						千兆网是一种快速以太网,其数据传输速率达1Gbps,仍采用CSMA/CD的访问控制机制并与现有的以太网兼容,在布线系统的支持下,可以使原来的快速以太网平滑升级并能充分保护用户原来的投资.目前,千兆网技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1KAGz.html" rel="bookmark" class="title">java类合成的语法</a>
					<div>
						就以前的学习情况来看,事实上已进行了多次&quot;合成&quot;操作.为进行合成,我们只需在新类里简单地置入对象句柄即可.举个例子来说,假定需要在一个对象里容纳几个String对象.两种基本数据类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOZ20M.html" rel="bookmark" class="title">PS创建可爱的毛茸茸条纹文字效果</a>
					<div>
						   最终效果图: 小提示:教程演示版本是CS6,你也可以CS3及以上的版本. Step 1 创建1000 *460 px大小的新文件,前景色设置:#9193c3,背景色设置:#525578.使用渐变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8BR8p.html" rel="bookmark" class="title">怎样才能设计出优秀的界面</a>
					<div>
						  1 尽量使用单列而不是多列布局 单列布局能够让对全局有更好的掌控.同时用户也可以一目了然内容.而多列而已则会有分散用户注意力的风险使你的主旨无法很好表达.最好的做法是用一个有逻辑的叙述来引导用户并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP81q1p.html" rel="bookmark" class="title">Windows8笔记本使用过程中键盘按键错乱的解决方法</a>
					<div>
						现在笔记本电脑已经是PC市场的主流,多数用户倾向于使用笔记本电脑.不过有一些用户表示,他们在使用Windows8笔记本电脑时,偶尔会出现键盘按键错乱的情况. 具体情况如上图所示,这种情况可能是键盘按键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8vRDp.html" rel="bookmark" class="title">几何画板如何绘制二次函数图像</a>
					<div>
						  一.绘制图像 1.打开几何画板,如图所示单击菜单栏&quot;绘图&quot;--绘制新函数. 2.在打开的新建函数对话框中,先输入二次项,二次项没有平方,可写为x*x. 3.现在写上一次项和常数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boReNVz.html" rel="bookmark" class="title">追踪IP地址你需要这几款工具加持</a>
					<div>
						本文讲的是追踪IP地址你需要这几款工具加持, 所谓IP地址就是给每个连接在Internet上的主机分配的一个32bit地址.为了方便人们的使用,IP地址经常被写成十进制的形式,中间使用符号&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQjW5p.html" rel="bookmark" class="title">DTCC2016部分参展商名录曝光&comma;大牌云集</a>
					<div>
						文章讲的是DTCC2016部分参展商名录曝光,大牌云集,DTCC 2016(第七届中国数据库技术大会)将于2016年5月12日-14日在北京拉开帷幕,作为国内数据库与大数据领域最大规模的技术盛宴,本届 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOloE5b.html" rel="bookmark" class="title">html css写网页background 问题</a>
					<div>
						问题描述 html css写网页background 问题 我想写出一个这样的网页,背景有底色和两张背景图片上下相连,背景宽度一定(680px),高度适应网页,不能有滚动条.刚学html+css 不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ9DDp.html" rel="bookmark" class="title">关于网络驱动器映射数量的问题</a>
					<div>
						问题描述 关于网络驱动器映射数量的问题 我在局域网内服务器上建立了一个域并建立了70个域账户,在服务器上共享了一个文件夹,现在需要在局域网内其他70台电脑上全部用分配的域账户映射这个网络驱动器(70台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEa2Yp.html" rel="bookmark" class="title">Java多线程基本使用</a>
					<div>
						一.概念 1.进程 1.1进程:是一个正在进行中的程序,每一个进程执行都有一个执行顺序,该顺序是一个执行路径,或者叫一个控制单元. 1.2线程:就是进程中一个独立的控制单元,线程在控制着进程的执行,一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ30Vp.html" rel="bookmark" class="title">IIS7&period;5中神秘的ApplicationPoolIdentity</a>
					<div>
						IIS7.5中(仅win7,win2008 SP2,win2008 R2支持),应用程序池的运行帐号,除了指定为LocalService,LocalSystem,NetWorkService这三种基本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0w8YM.html" rel="bookmark" class="title">字符串四则运算-用c&num;编写一个程序，以最原始的方法进行两个字符串的四则运算</a>
					<div>
						问题描述 用c#编写一个程序,以最原始的方法进行两个字符串的四则运算 字符串里面是数值,且不受字数限制. 如两个字符串相加&quot;121343435&quot;+&quot;3453245&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm5NVb.html" rel="bookmark" class="title">地址总线-32位的系统为什么最大内存4G？应该是最大4G个地址啊</a>
					<div>
						问题描述 32位的系统为什么最大内存4G?应该是最大4G个地址啊 就是说32根地址总线,每根总线上两种状态0或1,那么就可以有2^32个地址. 然后我看很多文章说因为2^32等于4G,所以最大就4G. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRkXxb.html" rel="bookmark" class="title">Flash、AS入门的正确途径解析&lowbar;Flash As</a>
					<div>
						Flash入门途径 下面我的说每一个问,请你都不要跳过,不管您用什么手段,必须一个个吃透,否则欲速则不达. 1.三种图层 图层:和Photoshop的图层差不多. 导向层:不仅可以导向Motion动画 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z7k5p.html" rel="bookmark" class="title">apache下ab&period;exe使用介绍&lowbar;Linux</a>
					<div>
						自己在cmd中写了半天的路径也没有写对.最后网上的一个哥们告诉我说没有共同语言了...毛线啊 差距确实很大!大能猫死panda早晚干掉你,叫你丫整天嘲讽我! 比如我的ab.exe在D盘的wamp文件夹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNNyxM.html" rel="bookmark" class="title">微信中一些常用的js方法汇总&lowbar;javascript技巧</a>
					<div>
						1.网页图片集左右滑动查看图片,如下样例: js效果 复制代码 代码如下: var pictures = [];  angular.forEach(pitctures,function(k,i){   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBRVwM.html" rel="bookmark" class="title">solr copyField 域怎么保存转化后的值</a>
					<div>
						问题描述 在solr配置文件中&lt;!--转小写类型--&gt;&lt;fieldTypename=&quot;lowercase&quot;class=&quot;solr.TextField&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x8oVb.html" rel="bookmark" class="title">u一点&CenterDot;料：阿里巴巴1688ued体验设计践行之路&period; 导读</a>
					<div>
						  U一点·料 阿里巴巴1688UED体验设计践行之路 阿里巴巴1688用户体验部著   前言 既赶路,也感受路 文 / 汪方进 用户体验设计师作为一个职能岗位,在国内互联网公司中存在已有十几年的时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkZydM.html" rel="bookmark" class="title">JSP中的Servlet及Filter</a>
					<div>
						asp.net中,如果开发人员想自己处理http请求响应,可以利用HttpHandler来满足这一要求:类似的,如果要拦截所有http请求,可以使用HttpMoudle.java的web开发中,也有类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYJ7Vb.html" rel="bookmark" class="title">Javascript在IE和Firefox浏览器常见兼容性问题总结&lowbar;javascript技巧</a>
					<div>
						本文总结分析了Javascript在IE和Firefox浏览器常见兼容性问题.分享给大家供大家参考,具体如下: 表单 document.formName.item(&quot;itemName&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqKNLp.html" rel="bookmark" class="title">Python中的面向对象编程详解&lpar;上&rpar;&lowbar;python</a>
					<div>
						创建类 Python 类使用 class 关键字来创建.简单的类的声明可以是关键字后紧跟类名: 复制代码 代码如下: class ClassName(bases):     'class docume ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdm5NXz.html" rel="bookmark" class="title">求教怎么在一台服务器（linux）下安装多台vmware&lpar;或者KVM等别的虚拟机&rpar;？</a>
					<div>
						问题描述 求教怎么在一台服务器(linux)下安装多台vmware(或者KVM等别的虚拟机)? 然后在每个虚拟机里各装一个linux(centos),并实现他们的相互通信与管理. 解决方案 安装一个v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlG2vp.html" rel="bookmark" class="title">最近项目用到Dubbo框架，临时抱佛脚分享一下共探讨（转）</a>
					<div>
						1. Dubbo是什么? Dubbo是一个分布式服务框架,致力于提供高性能和透明化的RPC远程服务调用方案,以及SOA服务治理方案.简单的说,dubbo就是个服务框架,如果没有分布式的需求,其实是不需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1qL8b.html" rel="bookmark" class="title">ie 11-js 使用 Scriptx打印控件进行打印，在IE11下，会多出一个空白页</a>
					<div>
						问题描述 js 使用 Scriptx打印控件进行打印,在IE11下,会多出一个空白页 js 使用 Scriptx打印控件进行打印,在IE11下,会多出一个空白页.求各位大神指点. 解决方案 如果确定有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrv381M.html" rel="bookmark" class="title">Android 中文 API （93） &mdash;&mdash; BaseExpandableListAdapter</a>
					<div>
						前言 本章内容是android.widget.BaseExpandableListAdapter,版本为Android 2.3 r1,翻译来自&quot;天涯明月刀&quot;,欢迎大家访问他的博客: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YR1oz.html" rel="bookmark" class="title">Threejs 官网 - 如何运行本地的东西（How to run things locally）</a>
					<div>
						Threejs 官网 - 如何运行本地的东西(How to run things locally) 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXd83Qp.html" rel="bookmark" class="title">IT业重金属排放超标污染如何控制</a>
					<div>
						近日,随着34家民间环保组织一份有关&quot;IT品牌供应链&quot;重金属污染调研报告的公布,IT业重金属排放超标引起人们高度关注.IT业被寄希望于加强控制重金属排放,选择绿色路径,以减少对河流 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqkJVp.html" rel="bookmark" class="title">TCL通讯再度更换掌门人杨兴平离开帅位</a>
					<div>
						商报讯(记者 毛涛涛)被誉为&quot;中国智能手机之父&quot;的杨兴平仅仅在TCL通讯的帅位上待了10个月时间.昨日,TCL通讯发布公告称,任命郭爱平接替杨兴平出任CEO一职,后者将继续留任TC ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
